aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/history.sh
diff options
context:
space:
mode:
authorGravatar Ben Boeckel <MathStuf@gmail.com>2010-08-21 11:40:45 -0400
committerGravatar Ben Boeckel <MathStuf@gmail.com>2010-10-02 11:56:29 -0400
commit391ffa73dfa46beea7dff2c9789a5f56a39227c4 (patch)
treebbec771947eeea41a12a630f77179fc2d063d7d4 /examples/data/scripts/history.sh
parent6c53e3e93b449c5501ef9d046244a71eb36db074 (diff)
Migrate to using uzbl-dir util script
Diffstat (limited to 'examples/data/scripts/history.sh')
-rwxr-xr-xexamples/data/scripts/history.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/examples/data/scripts/history.sh b/examples/data/scripts/history.sh
index be5fd34..b91d415 100755
--- a/examples/data/scripts/history.sh
+++ b/examples/data/scripts/history.sh
@@ -1,5 +1,7 @@
#!/bin/sh
-file=${XDG_DATA_HOME:-$HOME/.local/share}/uzbl/history
-[ -d $(dirname $file) ] || exit 1
-echo $(date +'%Y-%m-%d %H:%M:%S')" $6 $7" >> $file
+source $UZBL_UTIL_DIR/uzbl-dir.sh
+
+[ -w "$UZBL_HISTORY_FILE" ] || exit 1
+
+echo $(date +'%Y-%m-%d %H:%M:%S')" $6 $7" >> $UZBL_HISTORY_FILE